Subject: Re: resolv.h test proposal
From: "Gerrit P. Haase" <[email-masked]>
To: Stepan Kasal <[email-masked]>, [email-masked]
Cc: Reini Urban <[email-masked]>, [email-masked]
Date: Mon, 25 Oct 2004 17:40:19 +0200

Thread context: http://cygwin.com/ml/cygwin/2004-10/msg01111.html

Stepan schrieb:

> Hello Reini,

> On Mon, Oct 25, 2004 at 02:49:51PM +0200, Reini Urban wrote:
>> >So I take the liberty to forward it to the bug report address.
>> 
>> Many thanks for doing this for us.

> nothing to be really grateful for.

> What's really needed, is to write the AC_HEADER_RESOLV macro.
> The existing AC_HEADER_* macros can serve as a template.

> It would be nice if you or Gerrit or someone else could invest the time
> to do it and post the patch to [email-masked] .

I'm sorry, I don't know enough about autoconf / m4 programming to
integrate this into autoconf.

I just use this for acinclude.m4 or put it in a file named resolv_h.m4
under /usr/share/aclocal now:

# AC_HEADER_RESOLV
# Call AC_HEADER_RESOLV after this in configure.ac:
# AC_CHECK_HEADERS([arpa/nameser.h netinet/in.h sys/socket.h sys/types.h])
# ---------------
AC_DEFUN([AC_HEADER_RESOLV],
[AC_CHECK_HEADERS([resolv.h], [], [],
      [[#if HAVE_SYS_TYPES_H
        #  include <sys/types.h>
        #endif
        #ifdef HAVE_NETINET_IN_H
        #  include <netinet/in.h>   /* inet_ functions / structs */
        #endif
        #ifdef HAVE_ARPA_NAMESER_H
        #  include <arpa/nameser.h> /* DNS HEADER struct */
        #endif
        #ifdef HAVE_SYS_SOCKET_H
        #  include <sys/socket.h> /* DNS HEADER struct */
        #endif
      ]]
)])# AC_HEADER_RESOLV

I call AC_HEADER_RESOLV in configure.ac and this works for me(tm).

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/